## secnet 0.5.0

=== debian/changelog ===
secnet (0.5.0) unstable; urgency=medium

  make-secnet-sites SECURITY FIX:
  * Do not blindly trust inputs; instead, check the syntax for sanity.
    Previous releases can be induced to run arbitrary code as the user
    invoking secnet (which might be root), if a secnet sites.conf is used
    that was generated from an untrustworthy sites file.
  * The userv invocation mode of make-secnet-sites seems to have been safe
    in itself, but it previously allowed hazardous data to be propagated
    into the master sites file.  This is now prevented too.

  make-secnet-sites overhaul work:
  * make-secnet-sites is now in the common subset of Python2 and Python3.
    The #! is python3 now, but it works with Python2.7 too.
    It will probably *not* work with old versions of Python2.
  * We no longer depend on the obsolete `ipaddr' library.  We use
    `ipaddress' now.  And this is onlo a Recommends in the .deb.
  * Ad-hoc argument parser been replaced with `argparse'.
    There should be no change to existing working invocations.
  * Bad address syntax error does not wrongly mention IPv6 scopes.
  * Minor refactoring to support forthcoming work.  [Mark Wooding]

  other bugfixes, improvements and changes to secnet itself:
  * Better logging of why we are sending NAK messages.
  * Correctly use the verified copy of the peer remote capabilities
    from MSG3.  (Bug is not a vulnerability.)    [Mark Wooding]
  * Significant internal rearrangements and refactorings, to support
    forthcoming key management work.  [Mark Wooding and Ian Jackson]

  build system etc.:
  * Completely overhaul release checklist; drop dist target.
  * Remove dependency on `libfl.a'.  [Mark Wooding]
  * polypath.c: Fix missing include of <limits.h>.  [Mark Wooding]
  * Add a Wireshark dissector `secnet-wireshark.lua'.  It is not
    installed anywhere right now.  [Mark Wooding]

  documentation:
  * Improve documentation of capability negotiation in NOTES, secnet(8)
    and magic.h.  [Mark Wooding]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 24 Oct 2019 19:11:54 +0100

secnet (0.4.5) unstable; urgency=medium

  * INSTALL: Mention that rsa key generation might need ssh-keygen1.
  * mobile: Fix negotiation bug with mixed old/new secnets and
    simultaneous key setup attempts by each end.  [Mark Wooding]
  * Makefile.in: Support installation from a `VPATH' build.  [Mark Wooding]
  * Portability fixes for clang.  [Mark Wooding]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 21 Sep 2019 12:04:31 +0100

secnet (0.4.4) unstable; urgency=medium

  Security fix:
  * make-secnet-sites: Don't allow setting new VPN-level properties
    when restricted.  This could allow denial of service by
    users with delegated authorisation.  [Mark Wooding]

  Bugfixes for poor network environments:
  * polypath: cope properly with asymmetric routing, by correcting
    the handling of late duplicated packets etc.   Protocol is now
    incompatible with secnet prior to 0.3.0 when either end is mobile.
  * Randomise key setup retry time.

  Other bugfixes:
  * rsa and cbcmac: Fix configuration error messages.  [Mark Wooding]
  * Handle IPv4 addresses properly (ie, not foolishly byte-swapped),
    when IPv6 is not available.  [Mark Wooding]
  * Better logging (and less foolish debug), especially about whether
    key is set up, and about crossed key setup attempts.
  * Internal refactoring and fixes.  [Ian Jackson and Mark Wooding]

  Build system and portability:
  * configure: rerun autogen.sh with autoconf 2.69-10
  * Avoid memset(0,0,0) wrt st->sharedsecret.  (Fixes compiler warning;
    in theory might cause miscompilation.)  [Mark Wooding]

  Documentation:
  * README.make-secnet-sites: new documentation file.  [Mark Wooding]
  * NOTES: Describe current allocation of capability bits.  [Mark Wooding]
  * NOTES: tiny fix tot protocol description.
  * secnet(8): Delete wrong information about dh groups.  [Mark Wooding]

  Administrivia:
  * Fix erroneous GPL3+ licence notices "version d or later" (!)
  * .dir-locals.el: Settings for Python code.  [Mark Wooding]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 08 Sep 2019 22:53:14 +0100

secnet (0.4.3) unstable; urgency=low

  Security improvement:
  * Use `mpz_powm_sec' for modexps.

  Enhancements:
  * Implement comm-info and dedicated-interface-addr feature, for
    benefit of hippotat.
  * Implement `keepalive' site option, to try to keep link always up.

  Build etc. fixes:
  * #include <limits.h> (fixes the build on jessie).
  * Tolerate building from a git checkout, but with git not installed.
    (This can happen in chroots.)
  * Turn off -Wsign-compare for bison output.
  * Makefile.in: Fix `check-ipaddrset' rule to get reference from
    $(srcdir).  (Makes out-of-tree builds work properly.)
  * Release checklist fixes.
  * Burn version numbers 0.4.1 and 0.4.2 due to errors in release prep.

  Bugfixes:
  * When printing messages about dropping IPv6, do not print anything
    about ihl.  (Check the IP version field first!)
  * When turning on debug, turn on verbose too.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 25 Nov 2017 13:36:41 +0000

secnet (0.4.0) unstable; urgency=low

  Debugging improvements:
  * Packet-level debugging from site notes errors from transmit.
  * Report when transport peers updated as a result of transmit.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 28 Feb 2015 15:03:00 +0000

secnet (0.4.0~beta2) unstable; urgency=low

  Polypath bugfixes:
  * Ignore IPv6 Unique Local unicast addresses.
  * Skip "tentative" IPv6 local addresses.
  * Improve logging and debug output.

  Portability fix:
  * Build where size_t is not compatible with int.

  Build system and packaging fixes:
  * Makefile: support DESTDIR.
  * debian/rules: set DESTDIR (not prefix).
  * debian/rules: Support dpkg-buildflags.
  * Install ipaddrset.py and secnet.8 with correct permissions.

