## secnet 0.6.5

=== debian/changelog ===
secnet (0.6.5) unstable; urgency=medium

  Copyright and source code notices:
  * Include notices and licences of all included elements in LICENCE,
    not just in the files themselvves.
  * Tidy up a handful of notices to the most recent facts.
  * Do not claim CC-BY-SA 4.0 is GPL3+ compatible - only GPL3.
  * Add a README.source.
  * Update my own copyright year.

  * Versions 0.6.3 and 0.6.4 burned due to failed uploads.
    (See dgit bug #944855.)

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 12 Nov 2022 18:58:02 +0000

secnet (0.6.2) unstable; urgency=medium

  Bugfixes to code and build system:
  * site: promote creation of st->scratch, allowing new pubkey scheme
    to work even when secnet is restarting.
  * comm-common.h: Remove unused `notify' variable.  [Colin Watson]
  * Dir.sd.mk: Prevent builtin make rule overwriting conffile.c.

  Documentation:
  * configure: Correct bug reporting address.  Report from Colin Watson.
  * example.conf improvements:
      - Comment out some tuning overrides
      - Improve syntax by deleting one of the two map examples
      - Add a commented-out mobile site setting
      - Add mtu-target
  * OLD-NEWS, OLD-BUGS: Rename from NEWS and BUGS, and don't ship OLD-BUGS.

  Debian packaging changes:
  * debian/rules: Use dh sequencer.  Resulting changes:
      - We now provide debug symbols in the new Debian way.
      - The way the prerm stops secnet accords with modern practice.
  * init script: source /lib/lsb/init-functions.
  * init script: make "restart" work if secnet is not running.
  * Expand Description.
  * debhelper compat: bump to 12 (stretch-backports).
  * debian/rules: Use dh_prep instead of deprecated dh_clean -k.
  * Adjust Priority (as per modern policy and lintian).
  * Add some lintian overrides.
  * Add missing Pre-Depends on init-system-helpers.

  Credits and legal documentation improvements:
  * Add missing credits for base91 and python argparse extension.
    ensure some packaging credits exist in all the places they should be.
  * Add copyright/credits notices to many files which were missing them.
  * Move and centralise legal information into its own file, LICENCE.

  Testing improvements:
  * comprehensive-test: Actually allow OLD_SECNET_DIR set to ''
  * test-example/common.conf: Fix a reference to the sites file.
  * test-example/null-fake-userv: New test utility script.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 30 Dec 2021 15:10:12 +0000

secnet (0.6.1) unstable; urgency=medium

  Logging bugfixes:
  * Fix completely broken startup logging.  Config errors would not
    be repoorted other than via the exit status!  (Broken in 0.6.0.)
  * Suppress various uninteresting messages during startup, to
    avoid noise during successful startup.
  * Move "starting" message earlier.
  
  make-secnet-sites bugfixes:
  * Fix error handling if caller is in wrong group.
  * Fix regressions in handling of delegated sites file fragments
    (especially wrt the optional group parameter to `location').
    Broken since security fixes in 0.5.0.

  Fixes to example config file:
  * Use new name-prefixed format for map(site...) runes.  Old runes
    were desupported by make-secnet-sites security fix (in 0.5.0).
  * Fix "transform" syntax (broken since 0.3.0).

  Other bugfixes and improvements:
  * rsa: Do not crash if private key file is not accessible when
    running --just-check-config.  (Broken since 0.6.0.)
  * rsa: Print errno value if we fail to open key file.
  * config parsing: When closure is of wrong type, give details.
  * Use CLOCK_MONOTONIC for all our timing needs (but only when
    built against an as-yet-unpublished adns feature).

  Supporting changes:
  * Tests for some of the changes.
  * Minor internal refactorings and improvements.
  * Merge subdirmk 1.0.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 24 May 2020 22:14:26 +0100

secnet (0.6.0) unstable; urgency=medium

  Bugfixes:
  * mobile sites: Do not ever expire peer addresses.  In practice
    this fixes transitions between IPv6-only and IPv4-only networks.
  * make-secnet-sites: Tainted: Fix a lot of bad return values
    (which would result in assertions rather than nice error messages).
  * Fix hash algo confusion in mixed sha1/md5 configurations (see below).

  Incompatible changes:
  * site: Always advertise all capabilities, even in MSG1.  This is
    incompatible with secnets earlier than 0.3.0 (September 2013), which
    are all quite badly broken and should have been upgraded long ago.
  * Drop support for using the same loaded rsa key with multiple different
    hash algorithms (which was broken in 0.5.0).  Right now we support
    only `sha1' and `md5' so everyone should be using `sha1'.
    Installations which specified `md5' anywhere may need config changes.

  Major new featureset (use of which is not adviseable yet):
  * New facilities for negotiating about the signing keys to use for
    authentication during key setup, and selecting and using the
    appropriate keys.  (``key-cache'/`privcache' and `peer-keys').
    Using these new facilities for keyrollover now is in principle
    possible but rather complex.  Further machinery is planned;
    for now, retain your existing config which should keep working.
    In summary:
       - secnet: new `privcache' closure;
       - secnet: `key-cache' and `peer-keys' keys on site closures;
       - secnet: new file format for peer public keysets;
       - secnet: new `make-public' config operator;
       - make-secnet-sites `pub', `pkg', `serial', etc. keywords;
       - make-secnet-sites --filter, --pubkeys-*, --output-version.

  More minor (logging) improvements:
  * Make stderr line buffered and log to it by default.
  * Do not log differently with --nodetach.
  * New `prefix' option to `logfile' closure.
  * Tidy and simplify some messages.

  Supporting changes:
  * Many substantial internal refactorings in secnet.

