=== debian/control ===
Source: secnet
Section: net
Priority: optional
Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
Uploaders: Stephen Early <steve@greenend.org.uk>,
           Richard Kettlewell <rjk@terraraq.org.uk>
Build-Depends: debhelper (>= 12), libgmp3-dev, libadns1-dev, bison, flex,
               libbsd-dev, python3, tclx, tcl, libtcl-chiark-1
Standards-Version: 4.6.0

Package: secnet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Pre-Depends: ${misc:Pre-Depends}
Recommends: python3
Description: VPN software for distributed networks
 secnet allows multiple private networks, each 'hidden' behind a single
 globally-routable IP address, to be bridged together.  It also
 supports individual client systems which may connect to multiple
 upstreams.
 .
 Compared to many other systems, secnet has good handling of mobile
 endpoints (mobile client nodes), and extremely flexible configuration.
 However, it is not easy to configure.
 .
 secnet works well with userv-ipif (allowing it to run without needing
 root privilege) and hippotat (not currently in Debian).
 .
 secnet is the main VPN program used by greenend.org.uk.
