## secnet 0.6.8

=== debian/changelog ===
secnet (0.6.8) unstable; urgency=medium

  * Avoid using `bool`, `false` and `true` as identifiers.
    Fixes conflicts with modern C and GCC-15.  Closes: #1097866.
  * Remove now-false caveat that hippotat isn't packaged.  It is, now.
    [Report from Tomas Pospisek]  Closes: #1066029.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 20 Sep 2025 11:14:30 +0100
